import { CompilerDiagnostic } from '@lwc/errors';
import { TransformOptions } from '../options';
export interface TransformResult {
    code: string;
    map: unknown;
    warnings?: CompilerDiagnostic[];
    cssScopeTokens?: string[];
}
/**
 * Transforms the passed code. Returning a Promise of an object with the generated code, source map
 * and gathered metadata.
 *
 * @deprecated Use transformSync instead.
 */
export declare function transform(src: string, filename: string, options: TransformOptions): Promise<TransformResult>;
/**
 * Transform the passed source code. Returning an object with the generated code, source map and
 * gathered metadata.
 */
export declare function transformSync(src: string, filename: string, options: TransformOptions): TransformResult;
