import { LightningElement } from '@lwc/engine-core';
type ComponentConstructor = typeof LightningElement;
type HTMLElementConstructor = typeof HTMLElement;
/**
 * This function builds a Web Component class from a LWC constructor so it can be
 * registered as a new element via customElements.define() at any given time.
 *
 * @deprecated since version 1.3.11
 *
 * @example
 * ```
 * import { buildCustomElementConstructor } from 'lwc';
 * import Foo from 'ns/foo';
 * const WC = buildCustomElementConstructor(Foo);
 * customElements.define('x-foo', WC);
 * const elm = document.createElement('x-foo');
 * ```
 */
export declare function deprecatedBuildCustomElementConstructor(Ctor: ComponentConstructor): HTMLElementConstructor;
export declare function buildCustomElementConstructor(Ctor: ComponentConstructor): HTMLElementConstructor;
export {};
