import { Location, DiagnosticLevel } from '../shared/types';
export interface CompilerDiagnosticOrigin {
    filename?: string;
    location?: Location;
}
export interface CompilerDiagnostic {
    message: string;
    code: number;
    filename?: string;
    location?: Location;
    level: DiagnosticLevel;
}
export declare class CompilerError extends Error implements CompilerDiagnostic {
    code: number;
    filename?: string;
    location?: Location;
    level: DiagnosticLevel;
    constructor(code: number, message: string, filename?: string, location?: Location);
    static from(diagnostic: CompilerDiagnostic, origin?: CompilerDiagnosticOrigin): CompilerError;
    toDiagnostic(): CompilerDiagnostic;
}
export declare function getCodeFromError(error: any): number | undefined;
export declare function getFilename(origin: CompilerDiagnosticOrigin | undefined, obj?: any): string | undefined;
export declare function getLocation(origin: CompilerDiagnosticOrigin | undefined, obj?: any): Location | undefined;
