'use strict';

var traverse = require('@babel/traverse');
var taggedTemplateExpressionVisitor = require('./visitors/tagged-template-expression-visitor.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var traverse__default = /*#__PURE__*/_interopDefaultCompat(traverse);

function generateLuvioMetadata(astRoot) {
    // assign default luvio metadata
    const luvioMetadata = {
        gqlTag: [],
    };
    traverse__default.default(astRoot, {
        TaggedTemplateExpression: taggedTemplateExpressionVisitor.default(luvioMetadata),
    });
    return luvioMetadata;
}

exports.generateLuvioMetadata = generateLuvioMetadata;
//# sourceMappingURL=index.js.map
