import { CompilerDiagnostic } from '@lwc/errors';
import { KomaciDocument } from '@komaci/types';
import { ScriptFileType } from '../../script-metadata/utils';
interface SourceLocation {
    startLine: number;
    startColumn: number;
    endLine: number;
    endColumn: number;
    start: number;
    end: number;
    fileName?: string;
}
interface ComponentReference {
    name: string;
    namespacedName?: string;
    type: 'external';
    tagName: string;
    locations: SourceLocation[];
}
interface File {
    fileType: 'css' | 'html' | ScriptFileType;
    fileName: string;
    diagnostics: CompilerDiagnostic[];
    komaciDoc?: KomaciDocument;
}
export { File, SourceLocation, ComponentReference };
