import { Root } from '@lwc/template-compiler';
import { ComponentReference, File } from './common-metadata-types';
interface HTMLTemplateFile extends File {
    fileType: 'html';
    /** List of unique components referenced in the template. */
    componentReferences: ComponentReference[];
    /** Template in AST format starting with the root <template> node. */
    ast?: Root;
    renderMode?: 'shadow' | 'light';
}
declare function isHTMLTemplateFile(file: File): file is HTMLTemplateFile;
export { HTMLTemplateFile, ComponentReference, isHTMLTemplateFile };
