import * as t from '@babel/types';
/**
 * Extract key value pairs from an object expressions
 * @param expression ObjectExpression node that represents an object
 * @param defaults default key value pairs to be returned if no value specified in expression
 * @param unresolvedValue value to be used to mark unresolved object values
 * @param qualifiedProperties a set of keys that are to be extracted. if not specified, all keys are collected
 */
export declare function extractObjectValue(expression: t.ObjectExpression, defaults?: {
    [key: string]: any;
}, qualifiedProperties?: Set<string>): {
    [key: string]: any;
};
export declare function coerceObjectValuesToBoolean(source: object): object;
