/**
 * @param: moduleName - 'c.label'
 * @param: moduleType - 'label'
 * @param: namespaceMapping<sting, string> - { c: 'ns' }
 *
 * @return: string - 'label/ns.label'
 */
export declare function getNamespacedIdForType(moduleName: string, moduleType: string | undefined, namespaceMapping: {
    [name: string]: string;
}): string | undefined;
/**
 * Retrieve and alias @salesforce scoped resource id. If provided resource doesn't start
 * with @salesforce prefix, the resource is treated as a regular module
 *
 * @param: moduleName - '@salesforce/label/c.label'
 * @param: namespaceMapping<sting, string> - { c: 'ns' }
 *
 * @return: string - 'ns.label'
 */
export declare function getNamespacedIdForResource(moduleName: string, namespaceMapping: {
    [name: string]: string;
}): undefined | string;
export declare function containsExplicitNamespace(value: string, type: string, explicitNamespace: string): boolean;
