import { DocumentFragment, ParsingError } from 'parse5';
import type ParserCtx from '../parser';
interface ParseFragmentConfig {
    ctx: ParserCtx;
    sourceCodeLocationInfo: boolean;
    onParseError: (error: ParsingError) => void;
}
/**
 * Parse the LWC template using a customized parser & lexer that allow
 * for template expressions to be parsed correctly.
 *
 * @param      {string}               source  raw template markup
 * @param      {ParseFragmentConfig}  config
 *
 * @return     {DocumentFragment}     the parsed document
 */
export declare function parseFragment(source: string, config: ParseFragmentConfig): DocumentFragment;
export {};
