"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PREFIX = '@salesforce/label/';
const PREFIX_LENGTH = PREFIX.length;
/**
 * Module resolver for @salesforce/label/* that provides access to labels.
 *
 * The supported module identifiers are dependent on the custom labels in the org:
 * 1. Custom label in a namespace: @salesforce/label/[namespace].[labelName]
 * 2. Custom label in default ('c') namespace: @salesforce/label/c.[labelName]
 *
 * @param resource The module identifier.
 * @returns The value of the requested resource.
 */
function labelResource(resource) {
    if (!resource.startsWith(PREFIX) || resource.length <= PREFIX_LENGTH) {
        return undefined;
    }
    resource = resource.substring(PREFIX_LENGTH);
    // mock label
    return resource;
}
exports.default = labelResource;
//# sourceMappingURL=index.js.map