import { HTMLDocument } from '../parser/htmlParser';
import { TextDocument, Position, Location } from 'vscode-languageserver-types';
/**
 * Looks for property bindings {PROPERTY.something} within attribute values, or body content, and returns a location
 * within the same template that corresponds to iterator:PROPERTY or for:item="PROPERTY".
 */
export declare function getAuraBindingTemplateDeclaration(document: TextDocument, position: Position, htmlDocument: HTMLDocument): Location | null;
/**
 * Parses attribute value or body text content looking for the active {PROPERTY.something} reference corresponding
 * to the position. It will only return the leading property name. i.e. PROPERTY
 */
export declare function getAuraBindingValue(document: TextDocument, position: Position, htmlDocument: HTMLDocument): string | null;
//# sourceMappingURL=auraExtensions.d.ts.map