import { Location } from 'vscode-languageserver';
import { AttributeInfo } from './attributeInfo';
import { ClassMember } from '../decorators';
export declare enum TagType {
    STANDARD = 0,
    SYSTEM = 1,
    CUSTOM = 2
}
export declare class TagInfo {
    file: string;
    type: TagType;
    lwc: boolean;
    attributes: AttributeInfo[];
    location?: Location;
    documentation?: string;
    name?: string;
    namespace?: string;
    properties?: ClassMember[];
    methods?: ClassMember[];
    constructor(file: string, type: TagType, lwc: boolean, attributes: AttributeInfo[], location?: Location, documentation?: string, name?: string, namespace?: string, properties?: ClassMember[], methods?: ClassMember[]);
    getAttributeInfo(attribute: string): AttributeInfo | null;
    getHover(hideComponentLibraryLink?: boolean): string | null;
    getComponentLibraryLink(): string | null;
    getAttributeMarkdown(attribute: AttributeInfo): string;
    getMethodMarkdown(method: ClassMember): string;
    static createFromJSON(json: any): TagInfo;
}
//# sourceMappingURL=tagInfo.d.ts.map