"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.interceptConsoleLogger = void 0;
function interceptConsoleLogger(connection) {
    const console = global.console;
    if (!console) {
        return;
    }
    const intercept = (method) => {
        const original = console[method];
        console[method] = function (...args) {
            if (connection) {
                const remote = connection.console;
                remote[method].apply(connection.console, args);
            }
            else {
                original.apply(console, args);
            }
        };
    };
    const methods = ['log', 'info', 'warn', 'error'];
    for (const method of methods) {
        intercept(method);
    }
}
exports.interceptConsoleLogger = interceptConsoleLogger;
//# sourceMappingURL=logger.js.map