export declare enum WorkspaceType {
    /** standard workspace with a package.json but no lwc dependencies */
    STANDARD = 0,
    /** standard workspace with a package.json and lwc dependencies */
    STANDARD_LWC = 1,
    /** monorepo workspace, using monorepo strucutre */
    MONOREPO = 2,
    /** monorepo workspace, using monorepo strucutre, and lwc dependencies */
    MONOREPO_LWC = 3,
    /** sfdx workspace */
    SFDX = 4,
    /** workspace including all core projects */
    CORE_ALL = 5,
    /** workspace including only one or more core projects */
    CORE_PARTIAL = 6,
    UNKNOWN = 7
}
export declare function isUnknown(type: WorkspaceType): boolean;
export declare function isLWC(type: WorkspaceType): boolean;
export declare function getSfdxProjectFile(root: string): string;
/**
 * @param root
 * @returns WorkspaceType for singular root
 */
export declare function detectWorkspaceHelper(root: string): WorkspaceType;
/**
 * @param workspaceRoots
 * @returns WorkspaceType, actively not supporting workspaces of mixed type
 */
export declare function detectWorkspaceType(workspaceRoots: string[]): WorkspaceType;
//# sourceMappingURL=shared.d.ts.map