"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PREFIX = '@salesforce/resourceUrl/';
const PREFIX_LENGTH = PREFIX.length;
/**
 * Module resolver for @salesforce/resourceUrl/* that provides access to force.com static resources.
 *
 * The supported module identifiers are dependent on the static resources in the org:
 * 1. Static resource URL in a namespace: @salesforce/resourceUrl/[namespace]__[staticResourceName]
 * 2. Static resource URL in default ('c') namespace: @salesforce/resourceUrl/[staticResourceName]
 *
 * @param resource The module identifier.
 * @returns The value of the requested resource.
 */
function resourceUrlResolver(resource) {
    if (!resource.startsWith(PREFIX) || resource.length <= PREFIX_LENGTH) {
        return undefined;
    }
    resource = resource.substring(PREFIX_LENGTH);
    // mock url
    return resource;
}
exports.default = resourceUrlResolver;
//# sourceMappingURL=index.js.map