"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PREFIX = '@salesforce/user/';
const PREFIX_LENGTH = PREFIX.length;
/**
 * Module resolver for @salesforce/user/* that provides access to user data.
 *
 * The supported module identifiers are static. Refer to types.d.ts.
 *
 * @param resource The module identifier.
 * @returns The value of the requested resource.
 */
function userResolver(resource) {
    if (!resource.startsWith(PREFIX) || resource.length <= PREFIX_LENGTH) {
        return undefined;
    }
    resource = resource.substring(PREFIX_LENGTH);
    if (resource !== 'Id') {
        return undefined;
    }
    // mock user id
    return '005000000000000001';
}
exports.default = userResolver;
//# sourceMappingURL=index.js.map